cancel
Showing results for 
Search instead for 
Did you mean: 

npgsql 4.0 support in EPAS10

SOLVED
Highlighted
Level 3 Adventurer

npgsql 4.0 support in EPAS10

We would like to use the Npgsql 4.0 .NET connect with our EPAS10 server.  Currently, we are using the EDB .NET client which I believe is based on npgsql 3.0 (super old).  At a minimum we want to be able to use npgsql 3.2..

 

Thanks
Dave

1 ACCEPTED SOLUTION

Accepted Solutions
EDB Team Member

Re: npgsql 4.0 support in EPAS10

Hi Dave,

 

Hope you are doing good. 

We have an update on this. As per your query , "Max Auto Prepare" parameter is supported in EDB .NET 3.2.6.1 client and supports in "Connection string" level. 

Hope this helps.

 

Regards

Siva.

Tags (1)
11 REPLIES
EDB Team Member

Re: npgsql 4.0 support in EPAS10

Hi Dave,

 

The latest version of EDB .NET connectors is the 3.2.6.1, please go thorough the below technical alert.

 

https://postgresrocks.enterprisedb.com/t5/EDB-Technical-Updates-and-Alerts/EnterpriseDB-Technical-Up...

 

Documentation for the EDB .NET connectors :

 

https://www.enterprisedb.com/docs/en/10.0/dotnet/toc.html

 

Please review the above documents and let us know in case you have any further queries.

 

Regards,

Sudhir

Level 3 Adventurer

Re: npgsql 4.0 support in EPAS10

Thanks.  I have downloaded and installed 3.2.6.1 per the documents.  However,  starting from 3.2 it is suppose to have Windows performance counters but we are not seeing them after we added them to the connection string using

"Use Perf Counters=true"

 

Thanks

Dave

 

EDB Team Member

Re: npgsql 4.0 support in EPAS10

Hi Dave,

 

We are checking this internally whether this connection parameter is supported by the connect and we will update to you as soon as possible.

 

Regards,

Sudhri

EDB Team Member

Re: npgsql 4.0 support in EPAS10

Hi Dave,

 

We had discussion with our development team, currently, EDB .NET driver does not support the performance counters.

 

It maybe available from the next release of the connectors version.

 

Please let us know in case of any issues/queries.

 

Regards,

Sudhir

Level 3 Adventurer

Re: npgsql 4.0 support in EPAS10

Thanks, does the EDB version support presistent prepared statements from npgsql 3.2?

 Lastly, we have an EDB support contract and wondering it EDB would support us using npgsql drivers?

 

Thanks

Dave

EDB Team Member

Re: npgsql 4.0 support in EPAS10

Hi Dave,

 

Regarding the persistent prepared statement, it should work with EDB .NET connector as well.

 

We have not certified the community npgsql driver with EPAS, thus, not supporting it with EPAS.

 

Certain features that are available in EDB .NET driver are not available in the community npgsql driver.

 

Please let us know in case of any issues/queries.

 

Regards,

Sudhir

Level 3 Adventurer

Re: npgsql 4.0 support in EPAS10

Please list those features.  I was not able to find a doc that lists additional features for the EDB client vs npgsql.

 

Thanks

Dave

EDB Team Member

Re: npgsql 4.0 support in EPAS10

Hi Dave,

 

Unfortunately, we don't have the separate list of features not supported by EDB.net driver which are present in the npgsql driver.

All supported feature list is present in the document. 

 

Kindly refer below document link for the list:

EDB Postgres Advanced Server .NET Connector Guide

 

Hope this helps.

Level 3 Adventurer

Re: npgsql 4.0 support in EPAS10

Thanks for the information to date.  One last question, we are trying to use the "Max Auto Prepare" connection string parameter to enable prepared statement and we are not noticing an increase when performing automated testing.  Please check if the "Max Auto Prepare" parameter is supported in EDB .NET client.  If this is not support at the connection string level at a minimum, we are hoping the EDB client supports this at the code level.

 

We are hoping to do this 

https://www.npgsql.org/doc/prepare.html

 

Thanks

Dave